Replace RSVP options
curl --request PUT \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"options": [
{
"label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"isPublic": true,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": true
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: [
{
label: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 0,
isPublic: true,
maxAttendees: 123,
sortOrder: 123,
isActive: true
}
]
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options"
payload = { "options": [
{
"label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"isPublic": True,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"amount": 123,
"isPublic": true,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social events
Replace RSVP options
Requires write:social-events. Body { options: [...] } replaces/sets RSVP options (mirrors setSocialEventRsvpOptions).
PUT
/
api
/
v1
/
marketing
/
social-events
/
{id}
/
rsvp-options
Replace RSVP options
curl --request PUT \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"options": [
{
"label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"isPublic": true,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": true
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: [
{
label: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 0,
isPublic: true,
maxAttendees: 123,
sortOrder: 123,
isActive: true
}
]
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/rsvp-options"
payload = { "options": [
{
"label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"isPublic": True,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"amount": 123,
"isPublic": true,
"maxAttendees": 123,
"sortOrder": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I